class Collection < ApplicationRecord
  belongs_to :user
  belongs_to :container, polymorphic: true, optional: true

  scope :shixuns,  -> {where(container_type: 'Shixun')}
  scope :subjects,  -> {where(container_type: 'Subject')}
end
